<template>
  <div v-hasPermi="['team:earlyWarning:isShow']">
    <el-badge :value="total" class="item">
      <svg-icon icon-class="bell" @click="goTo" />
    </el-badge>
    
  </div>
</template>

<script>
import { 
  WaitRepaymentTotal
} from '@/api/team/teamMr'
export default {
  name: 'RuoYiBell',
  data() {
    return {
      total: 0,// 预警待办数
    }
  },
  created() {
    this.getNumTotal();
  },
  methods: {
    getNumTotal() {
      WaitRepaymentTotal(this.queryParams).then(response => {
          this.total = response.data.total
      }).catch(()=>{
      })
    },
    goTo() {
      this.$router.push('/team/earlyWarning');
    }
  }
}
</script>
<style lang="css" scoped>
::v-deep .el-badge__content.is-fixed {
    position: absolute;
    top: 10px;
    right: 15px;
  }

</style>